public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/libsvm/
Date: Sun,  6 Jun 2021 18:00:36 +0000 (UTC)	[thread overview]
Message-ID: <1623002425.4c6d3923cebdfe0d28396c690222df5c2f206f6b.pacho@gentoo> (raw)

commit:     4c6d3923cebdfe0d28396c690222df5c2f206f6b
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  6 17:53:35 2021 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Jun  6 18:00:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c6d3923

sci-libs/libsvm: Bump to 3.25

Closes: https://bugs.gentoo.org/787647
Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 sci-libs/libsvm/Manifest           |   1 +
 sci-libs/libsvm/libsvm-3.25.ebuild | 118 +++++++++++++++++++++++++++++++++++++
 2 files changed, 119 insertions(+)

diff --git a/sci-libs/libsvm/Manifest b/sci-libs/libsvm/Manifest
index b4b1cfca537..e1e9144dd42 100644
--- a/sci-libs/libsvm/Manifest
+++ b/sci-libs/libsvm/Manifest
@@ -1 +1,2 @@
 DIST libsvm-3.24.tar.gz 876441 BLAKE2B 6781804ba9706de5ad363bcbda20f2ec181cc4ee9613c9e7429f03872f7a03b04859df2ec00692d9de3ea237d1e478435a4d4db3ce7e5292689a2eab26a1fe46 SHA512 ff3c39bc84291bfb707151d7b8b6fb2eece937afa769cb8ee579d00ee4c30e943d476cd7bb18851d482c9bed89cf94fb3fd8abca4d47253360e12e9406f2f24b
+DIST libsvm-3.25.tar.gz 892471 BLAKE2B a80b7192981811f57446a966c911a07a2de17042e67faa26451c23129dafeac642596a619731b57a27d9845f904e2e4c5c11ae8aa3006fa49e2f62d7cec4cca2 SHA512 91afbcfd204f5fc9c367df446550cecaf01d5e34770fa10fc6bb02277d79b756393f7d057290df0f72fc941faaf0f4c84a863a3bf9d8628eeff1f99b6bc57a98

diff --git a/sci-libs/libsvm/libsvm-3.25.ebuild b/sci-libs/libsvm/libsvm-3.25.ebuild
new file mode 100644
index 00000000000..f4a2fdf7ebd
--- /dev/null
+++ b/sci-libs/libsvm/libsvm-3.25.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit flag-o-matic java-pkg-opt-2 python-r1 toolchain-funcs
+
+DESCRIPTION="Library for Support Vector Machines"
+HOMEPAGE="https://www.csie.ntu.edu.tw/~cjlin/libsvm/"
+SRC_URI="https://www.csie.ntu.edu.tw/~cjlin/libsvm/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/2"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="java openmp python tools"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="
+	java? ( >=virtual/jdk-1.8:* )
+	python? ( ${PYTHON_DEPS} )
+"
+RDEPEND="
+	java? ( >=virtual/jre-1.8:* )
+	python? ( ${PYTHON_DEPS} )
+	tools? ( sci-visualization/gnuplot )
+"
+
+PATCHES=(
+	"${FILESDIR}/3.11-openmp.patch"
+	"${FILESDIR}/3.14-makefile.patch"
+)
+
+pkg_setup() {
+	if use openmp; then
+		if ! tc-has-openmp; then
+			ewarn "OpenMP is not supported by your currently selected compiler"
+
+			if tc-is-clang; then
+				ewarn "OpenMP support in sys-devel/clang is provided by sys-libs/libomp,"
+				ewarn "which you will need to build ${CATEGORY}/${PN} for USE=\"openmp\""
+			fi
+
+			die "need openmp capable compiler"
+		fi
+
+		append-cflags -fopenmp
+		append-cxxflags -fopenmp
+		append-cppflags -DOPENMP
+	fi
+}
+
+src_prepare() {
+	default
+
+	sed -i -e "s@\.\./@${EPREFIX}/usr/bin/@g" tools/*.py \
+		|| die "Failed to fix paths in python files"
+	sed -i -e "s|./grid.py|${EPREFIX}/usr/bin/svm-grid|g" tools/*.py \
+		|| die "Failed to fix paths for svm-grid"
+	sed -i -e 's/grid.py/svm-grid/g' tools/grid.py \
+		|| die "Failed to rename grid.py to svm-grid"
+
+	if use java; then
+		local JAVAC_FLAGS="$(java-pkg_javac-args)"
+		sed -i \
+			-e "s/JAVAC_FLAGS =/JAVAC_FLAGS=${JAVAC_FLAGS}/g" \
+			java/Makefile || die "Failed to fix java makefile"
+	fi
+	tc-export CXX CC
+}
+
+src_compile() {
+	default
+	use java && emake -C java
+}
+
+src_install() {
+	dobin svm-train svm-predict svm-scale
+	dolib.so *.so*
+	doheader svm.h
+
+	DOCS=( README )
+
+	if use tools; then
+		local t
+		for t in tools/*.py; do
+			python_foreach_impl python_newscript ${t} svm-$(basename ${t} .py)
+		done
+
+		mv tools/README{,.tools} || die
+		DOCS+=( tools/README.tools )
+
+		insinto /usr/share/doc/${PF}/examples
+		docompress -x /usr/share/doc/${PF}/examples
+		doins heart_scale
+		doins -r svm-toy
+	fi
+
+	if use python ; then
+		installation() {
+			touch python/__init__.py || die
+			python_moduleinto libsvm
+			python_domodule python/*.py
+		}
+		python_foreach_impl installation
+
+		mv python/README{,.python} || die
+		DOCS+=( python/README.python )
+	fi
+
+	HTML_DOCS=( FAQ.html )
+	if use java; then
+		java-pkg_dojar java/libsvm.jar
+		HTML_DOCS+=( java/test_applet.html )
+	fi
+
+	einstalldocs
+}


             reply	other threads:[~2021-06-06 18:00 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-06 18:00 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-31  9:24 [gentoo-commits] repo/gentoo:master commit in: sci-libs/libsvm/ Pacho Ramos
2023-05-01  2:33 Sam James
2023-05-01  2:26 Sam James
2023-05-01  0:23 Sam James
2023-05-01  0:19 Sam James
2022-02-13 21:08 Conrad Kostecki
2021-10-06  8:33 Jakov Smolić
2021-07-26  6:24 Sam James
2021-07-17 23:18 Sam James
2021-07-16  6:51 Agostino Sarubbo
2021-07-16  6:50 Agostino Sarubbo
2020-09-25 11:04 David Seifert
2020-07-20  6:42 Agostino Sarubbo
2020-07-19  7:43 Agostino Sarubbo
2020-07-17 15:12 Agostino Sarubbo
2020-07-17 15:09 Agostino Sarubbo
2020-06-13 16:44 Pacho Ramos
2020-02-10 21:25 Michał Górny
2019-12-29  8:53 David Seifert
2018-06-26  6:42 Mikle Kolyada
2018-06-24 12:37 Jason Zaman
2018-05-16 22:57 Aaron Bauman
2017-08-03 17:33 Sebastien Fabbro
2017-06-25  9:58 Jeroen Roovers
2017-04-20 16:41 David Seifert
2017-02-25 20:56 Justin Lecher
2017-02-23 16:18 Michael Weber
2017-02-22 16:08 Agostino Sarubbo
2016-08-30 21:05 David Seifert
2016-08-07  8:29 David Seifert
2016-08-06 23:14 David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1623002425.4c6d3923cebdfe0d28396c690222df5c2f206f6b.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox